export declare class TeleportError extends Error {
    constructor(message: string);
}
export declare class ComponentValidationError extends TeleportError {
    constructor(errorString: string);
}
export declare class ProjectValidationError extends TeleportError {
    constructor(errorString: string);
}
export declare class MissingProjectUIDLError extends TeleportError {
    constructor();
}
export declare class MissingProjectGeneratorError extends TeleportError {
    constructor();
}
export declare class MissingComponentUIDLError extends TeleportError {
    constructor();
}
export declare class InvalidProjectTypeError extends TeleportError {
    constructor(projectType: string);
}
export declare class InvalidPublisherTypeError extends TeleportError {
    constructor(publisherType: string);
}
export declare class CodeSandboxProjectTooBigError extends TeleportError {
    constructor();
}
export declare class CodeSandboxUnexpectedError extends TeleportError {
    constructor(errorObj: Record<string, unknown>);
}
export declare class CodeSandboxServerError extends TeleportError {
    constructor();
}
export declare class VercelMissingTokenError extends TeleportError {
    constructor();
}
export declare class VercelDeploymentError extends TeleportError {
    constructor();
}
export declare class VercelDeploymentTimeoutError extends TeleportError {
    constructor();
}
export declare class VercelServerError extends TeleportError {
    constructor();
}
export declare class GithubMissingAuthError extends TeleportError {
    constructor();
}
export declare class GithubMissingRepoError extends TeleportError {
    constructor();
}
export declare class GithubInvalidTokenError extends TeleportError {
    constructor();
}
export declare class GithubUnexpectedError extends TeleportError {
    constructor(errorObj: Record<string, unknown>);
}
export declare class GithubServerError extends TeleportError {
    constructor();
}
export declare class ZipUnexpectedError extends TeleportError {
    constructor(errorObj: Record<string, unknown>);
}
export declare class DiskUnexpectedError extends TeleportError {
    constructor(errorObj: Record<string, unknown>);
}
export declare class ParserError extends TeleportError {
    constructor(error: string);
}
export declare class PluginStyledJSX extends TeleportError {
    constructor(error: string);
}
export declare class PluginCssModules extends TeleportError {
    constructor(error: string);
}
export declare class PluginCSS extends TeleportError {
    constructor(error: string);
}
export declare class PluginStyledComponent extends TeleportError {
    constructor(error: string);
}
export declare class PluginReactJSS extends TeleportError {
    constructor(error: string);
}
export declare class HTMLComponentGeneratorError extends TeleportError {
    constructor(error: string);
}
//# sourceMappingURL=errors.d.ts.map