var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var TeleportError = /** @class */ (function (_super) {
    __extends(TeleportError, _super);
    function TeleportError(message) {
        var _this = _super.call(this, message) || this;
        _this.name = _this.constructor.name;
        return _this;
    }
    return TeleportError;
}(Error));
export { TeleportError };
var ComponentValidationError = /** @class */ (function (_super) {
    __extends(ComponentValidationError, _super);
    function ComponentValidationError(errorString) {
        return _super.call(this, errorString) || this;
    }
    return ComponentValidationError;
}(TeleportError));
export { ComponentValidationError };
var ProjectValidationError = /** @class */ (function (_super) {
    __extends(ProjectValidationError, _super);
    function ProjectValidationError(errorString) {
        return _super.call(this, errorString) || this;
    }
    return ProjectValidationError;
}(TeleportError));
export { ProjectValidationError };
var MissingProjectUIDLError = /** @class */ (function (_super) {
    __extends(MissingProjectUIDLError, _super);
    function MissingProjectUIDLError() {
        return _super.call(this, 'No project UIDL provided') || this;
    }
    return MissingProjectUIDLError;
}(TeleportError));
export { MissingProjectUIDLError };
var MissingProjectGeneratorError = /** @class */ (function (_super) {
    __extends(MissingProjectGeneratorError, _super);
    function MissingProjectGeneratorError() {
        return _super.call(this, 'No generator provided') || this;
    }
    return MissingProjectGeneratorError;
}(TeleportError));
export { MissingProjectGeneratorError };
var MissingComponentUIDLError = /** @class */ (function (_super) {
    __extends(MissingComponentUIDLError, _super);
    function MissingComponentUIDLError() {
        return _super.call(this, 'No component UIDL provided') || this;
    }
    return MissingComponentUIDLError;
}(TeleportError));
export { MissingComponentUIDLError };
var InvalidProjectTypeError = /** @class */ (function (_super) {
    __extends(InvalidProjectTypeError, _super);
    function InvalidProjectTypeError(projectType) {
        return _super.call(this, "Invalid ProjectType: ".concat(projectType)) || this;
    }
    return InvalidProjectTypeError;
}(TeleportError));
export { InvalidProjectTypeError };
var InvalidPublisherTypeError = /** @class */ (function (_super) {
    __extends(InvalidPublisherTypeError, _super);
    function InvalidPublisherTypeError(publisherType) {
        return _super.call(this, "Invalid PublisherType: ".concat(publisherType)) || this;
    }
    return InvalidPublisherTypeError;
}(TeleportError));
export { InvalidPublisherTypeError };
// CodeSandbox Integration
var CodeSandboxProjectTooBigError = /** @class */ (function (_super) {
    __extends(CodeSandboxProjectTooBigError, _super);
    function CodeSandboxProjectTooBigError() {
        return _super.call(this, 'Unfortunately your project is too big for the current CodeSandbox integration') || this;
    }
    return CodeSandboxProjectTooBigError;
}(TeleportError));
export { CodeSandboxProjectTooBigError };
var CodeSandboxUnexpectedError = /** @class */ (function (_super) {
    __extends(CodeSandboxUnexpectedError, _super);
    function CodeSandboxUnexpectedError(errorObj) {
        return _super.call(this, "Unexpected error when publishing to CodeSandbox\nReceived: ".concat(JSON.stringify(errorObj))) || this;
    }
    return CodeSandboxUnexpectedError;
}(TeleportError));
export { CodeSandboxUnexpectedError };
var CodeSandboxServerError = /** @class */ (function (_super) {
    __extends(CodeSandboxServerError, _super);
    function CodeSandboxServerError() {
        return _super.call(this, 'The request to CodeSandbox returned 500') || this;
    }
    return CodeSandboxServerError;
}(TeleportError));
export { CodeSandboxServerError };
// Vercel Integration
var VercelMissingTokenError = /** @class */ (function (_super) {
    __extends(VercelMissingTokenError, _super);
    function VercelMissingTokenError() {
        return _super.call(this, 'No access token provided') || this;
    }
    return VercelMissingTokenError;
}(TeleportError));
export { VercelMissingTokenError };
var VercelDeploymentError = /** @class */ (function (_super) {
    __extends(VercelDeploymentError, _super);
    function VercelDeploymentError() {
        return _super.call(this, 'The vercel deployment returned an ERROR status') || this;
    }
    return VercelDeploymentError;
}(TeleportError));
export { VercelDeploymentError };
var VercelDeploymentTimeoutError = /** @class */ (function (_super) {
    __extends(VercelDeploymentTimeoutError, _super);
    function VercelDeploymentTimeoutError() {
        return _super.call(this, 'Vercel deployment timed out') || this;
    }
    return VercelDeploymentTimeoutError;
}(TeleportError));
export { VercelDeploymentTimeoutError };
var VercelServerError = /** @class */ (function (_super) {
    __extends(VercelServerError, _super);
    function VercelServerError() {
        return _super.call(this, 'Vercel service is currently unavailable. Please try again later') || this;
    }
    return VercelServerError;
}(TeleportError));
export { VercelServerError };
// GitHub Integration
var GithubMissingAuthError = /** @class */ (function (_super) {
    __extends(GithubMissingAuthError, _super);
    function GithubMissingAuthError() {
        return _super.call(this, 'No auth method provided') || this;
    }
    return GithubMissingAuthError;
}(TeleportError));
export { GithubMissingAuthError };
var GithubMissingRepoError = /** @class */ (function (_super) {
    __extends(GithubMissingRepoError, _super);
    function GithubMissingRepoError() {
        return _super.call(this, 'No repository provided') || this;
    }
    return GithubMissingRepoError;
}(TeleportError));
export { GithubMissingRepoError };
var GithubInvalidTokenError = /** @class */ (function (_super) {
    __extends(GithubInvalidTokenError, _super);
    function GithubInvalidTokenError() {
        return _super.call(this, 'The GitHub token you have provided is invalid') || this;
    }
    return GithubInvalidTokenError;
}(TeleportError));
export { GithubInvalidTokenError };
var GithubUnexpectedError = /** @class */ (function (_super) {
    __extends(GithubUnexpectedError, _super);
    function GithubUnexpectedError(errorObj) {
        return _super.call(this, "Unexpected error when publishing to GitHub\nReceived: ".concat(JSON.stringify(errorObj))) || this;
    }
    return GithubUnexpectedError;
}(TeleportError));
export { GithubUnexpectedError };
var GithubServerError = /** @class */ (function (_super) {
    __extends(GithubServerError, _super);
    function GithubServerError() {
        return _super.call(this, 'GitHub service is currently unavailable. Please try again later') || this;
    }
    return GithubServerError;
}(TeleportError));
export { GithubServerError };
// Other publisher errors
var ZipUnexpectedError = /** @class */ (function (_super) {
    __extends(ZipUnexpectedError, _super);
    function ZipUnexpectedError(errorObj) {
        return _super.call(this, "Unexpected error when creating the zip file\nReceived: ".concat(JSON.stringify(errorObj))) || this;
    }
    return ZipUnexpectedError;
}(TeleportError));
export { ZipUnexpectedError };
var DiskUnexpectedError = /** @class */ (function (_super) {
    __extends(DiskUnexpectedError, _super);
    function DiskUnexpectedError(errorObj) {
        return _super.call(this, "Unexpected error when writing the project to disk\nReceived: ".concat(JSON.stringify(errorObj))) || this;
    }
    return DiskUnexpectedError;
}(TeleportError));
export { DiskUnexpectedError };
var ParserError = /** @class */ (function (_super) {
    __extends(ParserError, _super);
    function ParserError(error) {
        return _super.call(this, error) || this;
    }
    return ParserError;
}(TeleportError));
export { ParserError };
// Plugin Errors
var PluginStyledJSX = /** @class */ (function (_super) {
    __extends(PluginStyledJSX, _super);
    function PluginStyledJSX(error) {
        return _super.call(this, error) || this;
    }
    return PluginStyledJSX;
}(TeleportError));
export { PluginStyledJSX };
var PluginCssModules = /** @class */ (function (_super) {
    __extends(PluginCssModules, _super);
    function PluginCssModules(error) {
        return _super.call(this, error) || this;
    }
    return PluginCssModules;
}(TeleportError));
export { PluginCssModules };
var PluginCSS = /** @class */ (function (_super) {
    __extends(PluginCSS, _super);
    function PluginCSS(error) {
        return _super.call(this, error) || this;
    }
    return PluginCSS;
}(TeleportError));
export { PluginCSS };
var PluginStyledComponent = /** @class */ (function (_super) {
    __extends(PluginStyledComponent, _super);
    function PluginStyledComponent(error) {
        return _super.call(this, error) || this;
    }
    return PluginStyledComponent;
}(TeleportError));
export { PluginStyledComponent };
var PluginReactJSS = /** @class */ (function (_super) {
    __extends(PluginReactJSS, _super);
    function PluginReactJSS(error) {
        return _super.call(this, error) || this;
    }
    return PluginReactJSS;
}(TeleportError));
export { PluginReactJSS };
var HTMLComponentGeneratorError = /** @class */ (function (_super) {
    __extends(HTMLComponentGeneratorError, _super);
    function HTMLComponentGeneratorError(error) {
        return _super.call(this, error) || this;
    }
    return HTMLComponentGeneratorError;
}(TeleportError));
export { HTMLComponentGeneratorError };
//# sourceMappingURL=errors.js.map